*,*::before,*::after{
    box-sizing: border-box;
}

:root{
    /*--col-fg: #333;*/
    --col-fg: rgb(50,80,80);
    /*--col-bg: white;*/
    --col-bg2: rgb(220,220,220);
    --col-bg: rgb(250, 247, 242);
    /*--col-bg: rgb(255,216,195);*/
    --col-akzent1: rgb(0,152,152);
    --col-akzent1t: rgba(0, 152, 152, 0.57);
    --col-akzent2: rgb(106,196,196);
    --col-akzent3: rgb(228,195,63);
    --col-akzent4: rgb(0,121,121);
    --col-akzent5: rgb(162,222,227);
    --col-alert: rgb(255,100,100);
    --bar-width: 60px;
    --bar-height: 8px;
    --hamburger-gap: 6px;
    --foreground: var(--col-fg);
    --background: var(--col-fg);
    --hamburger-margin: 8px;
    --animation-timing: 200ms ease-in-out;
    --hamburger-heigth: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2 );
    --x-width: calc(var(--hamburger-heigth) * 1.41421356237 );
    --heightSideBar: 0px;
    --heightHeader: 0px;
    --opacityHeroImage: 1;
    --heroImage: url('img/praxis-koch.jpg');
    --heroImageBefore: url('img/inhaber.jpg');
    --heroTransitionTiming: opacity 1s ease-in-out;
}

.hamburger-menu {
    
    display: flex;
    flex-direction: column;
    gap: var(--hamburger-gap);
    width: max-content;
    position: fixed;
    top: var(--hamburger-margin);
    right: var(--hamburger-margin);
    z-index: 3;
    cursor: pointer;
    
}

.hamburger-menu:has(input:checked) {
    --foreground: var(--col-akzent4);
    --background: var(--col-fg);
}

.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible{
    border: 1px solid var(--background);
    box-shadow: 0 0 0 1px var(--foreground);
}

.hamburger-menu::before,
.hamburger-menu::after,
.hamburger-menu input{
    content: "";
    width: var(--bar-width);
    height: var(--bar-height);
    background-color: var(--foreground);
    border-radius: 9999px;
    transform-origin: left center;
    transition: opacity var(--animation-timing), width var(--animation-timing),
        rotate var(--animation-timing), translate var(--animation-timing),
        background-color var(--animation-timing);
}

.hamburger-menu input {
    appearance: none;
    padding: 0;
    margin: 0;
    outline: none;
    pointer-events: none;
}

.hamburger-menu:has(input:checked)::before {
    rotate: 45deg;
    width: var(--x-width);
    translate: 0 calc(var(--bar-height) / -2 );
}

.hamburger-menu:has(input:checked)::after {
    rotate: -45deg;
    width: var(--x-width);
    translate: 0 calc(var(--bar-height) / 2 );
}

.hamburger-menu input:checked {
    opacity: 0;
    width: 0;
}

.sidebar {
    position:fixed;
    top: 0;
    right: 0;
    
    transition: translate var(--animation-timing);
    translate:  100%;
    padding: 0.5rem 1rem;
    padding-top: calc(var(--hamburger-heigth) + var(--hamburger-margin) + 1rem);
    z-index: 2;
    max-width: 10rem;
    min-height: 100vh;
    background-color: rgba(255, 255, 255, 0.8);
    color: var(--col-akzent4);
}

.hamburger-menu:has(input:checked) + .sidebar {
    translate: 0;
}


html, body{
    /**font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;*/
    font-family:Verdana, Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    color: var(--col-fg);
    font-size: 1.0rem;
    scroll-behavior: smooth;
}

body{
    margin:0;
    

    
    /**background-image: linear-gradient(to left, rgb(191,191,191) , white 20%);**/
    /*background-color: var(--col-bg);*/
    
}
a{
    text-decoration: none;
    color: inherit;
}
a:visited{
    color: inherit;
}
a:hover{
    text-decoration:none;
}
a:active{
    color: inherit;
}
:focus{
    outline: none;
}

header {
    background-color: var(--col-bg);
}


#logo {
    width: 20vw;
    min-width: 300px;
    margin: 2.0rem;
    padding-top: 2rem;
    position:relative;
    
    
    }

.sidebar div a{
    display: block;
    color: inherit;
    /*color: white;*/
    text-align: center;
    padding: 0.5rem;
    text-decoration: none;
    /*text-transform:uppercase;*/
    
}

.sidebar div a:hover{
text-decoration: underline;

}


#heroimage{
    height: calc( 100vh - var(--heightHeader));
    background-image: var(--heroImage);
    
    background-repeat: no-repeat;
    background-position: center 30%;
    background-size: cover;
    position: relative;
    opacity: 1;
    z-index: 1;
    
    /*top: calc( -1 * var(--heightSideBar));
    margin-bottom: calc( -1 * var(--heightSideBar));*/
    
}

#heroimage::before{
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background-image: var(--heroImageBefore);
    
    background-repeat: no-repeat;
    background-position: center 30%;
    background-size: cover;
    z-index: 0;
    opacity: var(--opacityHeroImage);
    transition: var(--heroTransitionTiming);
}

.scroll-button{
    position: absolute;
    bottom: 20px;
    width: 100px;
    height: auto;
    right: calc(50% - ( 50px) );
    padding: 20px 20px;
      
      
      border: none;
      cursor: pointer;
}

/*ende header, start allg. main layout*/
main{
    
    
    /**background-image: linear-gradient(to left, rgb(209,209,209) , white 20%);*/
    display: flex;
    flex-direction:column;
    align-items:center;
    justify-items: center;
    flex: 1;
    margin: 0;
    padding: 0;
    gap: 0;
    
    
    
}

section{
    width:100%;
    max-width: 100%;
    padding: 0; 
    margin: 0;
    padding-bottom: 0rem;
    padding-left: 2rem;
    padding-right: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: stretch;
    
}

h1{
   padding-top: 2vh;
}

h2{
   padding-top: 5vh;
}

h2 a, h3 a{
    display: none;

}

p{
    line-height: 150%;
    text-align: justify;
    
    max-width: 60rem;
}

/*section >ul{
    display:flex;
    flex-direction: column;
    /*width: 100%;*/
    /*padding: 0;
    margin: 0;
    align-items: center;

}*/

section ul li{
    background-color: white;
    color: var(--col-fg);
    flex: 1;
    margin-right: 0rem;

    min-width: 15rem;
    max-width: 60rem;
} 

.wrapper {
    margin: 0;
    padding: 1rem;
    width: 64rem;
    
    
    
}

/**Die weißen Abschnitte*/
#leistung, #zscho, #info{
    
    background-color: var(--col-bg);
    /*background-image: url("/img/schlangenhaut6.png");
    background-repeat: repeat;
    background-size: 100px;*/



    h1, h2, h3 {
         
        color: var(--col-akzent4);
        
       
    }
    li, iframe, .praxisbild{
        box-shadow: 10px 10px 5px grey ;
    }
    .wrapper {
        background-color: white;
    }
}

/**Die türkisen Abschnitte*/
#willkommen, #picture, #team, #koch, #impressum {
    background-color: var(--col-akzent4);
    background-image: url("img/schlangenhaut1.png");
    background-repeat: repeat;
    background-size: 87px;
    
    
    color: white;
    li, iframe, .praxisbild{
                box-shadow: 10px 10px 5px rgb(00,95,95) ;
    }

    .wrapper {
        background-color: var(--col-akzent1);
    }
}

#hinweisliste {
    flex-wrap:nowrap;
    padding-left: 0px;
}

#chefs {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: repeat(auto-fill, minmax(40vw, 100%));
    padding:0;
    width: 100%;
}

#picture{
    padding-top:1rem;
    padding-left: 0;
    padding-right: 0;
}
.hinweis p {
    grid-area: text;
}
.hinweis h3 {
    justify-self:first baseline;
    grid-area: h;
}
 
.hinweis{
    flex: 1 1 10%;
    align-self: stretch;
    
    display: grid;
    grid-template-areas: 
    'icon h h h h h h h h h h'
    'text text text text text text text text text text text';
    margin-top: 1rem;
    padding: 1rem 2rem;
    /*align-content:flex-start;
    justify-content: flex-start;*/
    
    /**background-color: rgb(191, 191, 191);**/
    max-width: 60rem;
    
    
    margin-bottom: 2rem;
    
    
    
}

/*bild-Liste*/
/*#chefs {
    display: flex;
    width: 95%;
    flex-wrap: wrap;
    margin-left: 0;
    padding-left: 0;
}*/

/* #team{
    background-color: var(--col-akzent4);
    h2,h3, >p{
        color: white;
    }  
} */

#chefs li{
    display:flex;
    flex-direction: row;
    flex: 1 1 10%;
    /**min-width: 40vw;*/
    align-items: end;
   /** border-left: 5px solid rgb(255, 255, 255);
    border-bottom: 3px solid rgb(255, 255, 255);**/
    border-radius: 0px;
    padding: 1rem; 
    margin-right: 0rem;
    margin-left: 0rem;
    
    margin-bottom: 0rem;
    /**max-width: 33vw;**/
    h4 {
        margin-bottom: 0;
    }
    p {
        font-size: 0.8rem;
        margin-top: 0.3rem;
        margin-bottom: 0.3rem;
    }

    p:last-child{
        margin-bottom: 0;
    }
}
#guni{
    color: var(--col-akzent4);
    font-weight: bold;

}




#leistungen{
    width:100%;
    max-width: 60rem;
    align-self: stretch;
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(auto-fill, minmax(15rem, 30rem));
    justify-content: center;
    /*justify-items: center;*/
    align-items: stretch;
    padding:0;

    
}

#leistungen >li{
        display:flex;
        flex-direction: column;
        /*min-width: 40vw;*/
        
        
        
        flex: 1 1;
        
        padding: 1.5rem;
        margin-top: 1rem;
        margin-right: 0rem;
        align-items: center;
        justify-content:flex-start;
        margin-left:0;
        
        p{
            margin-top: 0.2rem;
            margin-bottom: 0.5rem;
        }
        p:first-of-type{
            margin-top: 0.8rem;
            margin-bottom: 0;
        }    
}

.linkLeistung{
    text-decoration: none;
    font-size: small;
    border: solid thin gray;
    border-radius: 4px 4px;
    color: white;
    background-color: var(--col-akzent1);
    padding: 0.4rem;
    margin-top: 1rem;
    width: 50%;
    text-align: center;
}
.linkLeistung:visited{
    text-decoration: none;
    color:white;
}

#ästhetik{
    height: 160px !important;
    width: auto !important;
    max-width: 80vw !important;
}

.icon {
    width: 100px;
    
    
    padding: 0.5rem;
    padding-right: 1rem;
    grid-area: icon;
    justify-self:flex-start;
    align-self: center;
}

.kontakt .icon{
    width: 60px;
}

.hinweis .icon{
    height: 60px;
}

img{
    padding: 0;
    margin: 0;
}


img.portrait{
    /*max-width: 20vw;
    resize: both;*/
    padding-right: 0.5rem;

}

.praxiscontent{
    margin-top: 4rem;
    display:grid;
    grid-template-areas:
    'img img'
    '. anfahrt'
    'kontakt kontakt';
    gap: 2rem;
    justify-content: flex-start;
    justify-items: start;
    align-items:start;
}

/*.praxisinfo {
    padding: 1rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    ul{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-self:baseline;
        gap: 10px;
        min-width: 2rem;
        padding-left: 1rem;
    }
}*/
.kontakt{
    
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    flex: 1 1 10%;
    align-self: center;
    grid-template-columns: repeat(auto-fill, minmax(12rem, 20rem));
    padding:0;
    gap: 1rem;
    justify-content: center;
    align-content: center;
    align-items: stretch;
    align-self:stretch;
}
.kontakt li{
        
    display:flex;
    flex-direction: row;
    flex: 1 1 10%;
    align-items: stretch;
    justify-items: flex-start;
    
    
    
    /**box-shadow: 10px 10px 5px grey ;**/
    padding: 0.5rem;
    margin-top: 0.3rem;
    
    align-items:center;
} 
.praxisbild{
    width: 100%;
    
    height: auto;
    
    grid-area: img;
    
    
    
}
.divkontakt {
    grid-area: kontakt;
    
}

.anfahrt {
    grid-area: anfahrt;
    padding: 1rem;
    height:100%;
    width: 100%;
   
}

.offen{

padding-left: 1rem;
font-style: normal;
td{
    padding-right:1rem;
}
}

iframe{
    /*min-width: 20vw;
    max-width: 30rem;*/
    width:90%;
    height:80%;
    margin-left: 1rem;
    
}

/**Styles zu den popups*/
[popover]{
    padding: 2rem;
    border: solid 2px var(--col-akzent4);
    border-radius: 10px 10px 10px 10px;
    p, li{
        font-size: 0.9rem;
        letter-spacing: 0.00rem;
        line-height: 120%;
        
        
    }
    p{
        text-align: justify;
    }
    p > strong {
        padding-top: 2rem;
        
    }
    h2{
        justify-self: center;
        align-self: center;
        padding: 0;
        margin: 0;
    }
    ul{
        margin-top:0rem;
        margin-bottom:1rem;
        border: none;
        box-shadow: none;
    }
    li{
        margin-top:0.0rem;
        margin-bottom:0.7rem;
        border: none;
        box-shadow: none !important;
    }
    
    
    .icon{
        grid-area: icon;
        width: 7rem;
        margin-right: 2rem;
        margin-top: 1.2rem;
        
        padding: 0.8rem;
    }
}

:popover-open{
    
        display: flex;
        flex-direction: column;
    
    
    
}
.poptitle{
    display:flex;
    flex-direction: row;
}
.close-btn {
	border: none;
	border-radius: 4px 4px 4px 4px;
	background-color: var(--col-akzent1);
	color: white;
	cursor: pointer;
	position: absolute;
	right: 0.25rem;
	font-size: 1.25em;
	font-weight: bold;
	padding: 0.25em 0.4em;
	text-align: center;
	top: 0.5rem;
}

.impressum {
    text-align: left;
    a{
        text-decoration: none;
        color: var(--col-akzent3)
    }
    a:visited{
        color: var(--col-akzent2);
    }
    a:hover{
        text-decoration: underline;
    }
    a:active{
        color: var(--col-akzent4);
    }
}

#impressum{
    
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content:space-around;
    align-content: baseline;
}
.foot{
    max-width: 20rem;
    font-size: small;
    padding: 1rem;
    align-content:space-around;
}

/*große Tablets kleine Bildschirme*/
@media (max-width: 1100px) {
    html { font-size: 14px; /* 14px */ 
    } 
    h1{
        font-size: 1.2rem;
    }
    /*.praxiscontent{
        display:grid;
        grid-template-areas:
        'img . '
        'kontakt anfahrt';
        gap: 2rem;
    }*/
    .wrapper{
        width:92vw;
        
    }
}



/* Schriftgröße für Tablets */
@media (max-width: 768px) {
    html{ font-size: 14px; /* 14px */ 
    } 
    h1{
        font-size: 1.2rem;
    }
    .praxiscontent{
        display:grid;
        grid-template-areas:
        'img img '
        '. kontakt'
        'anfahrt kontakt';
        gap: 2rem;
    }
    
}



@media (max-width: 685px) { 
    html {
        font-size: 12px; /* 12px */ 
    }

    h1{
        font-size: 1rem;
    }
    .praxiscontent{
        display:grid;
        grid-template-areas:
        'img '
        '.'
        'kontakt '
        'anfahrt';
        gap: 2rem;
    }

    #chefs li{
        display:flex;
        flex-direction: column;
        align-items: center;
        p{
            font-size: 1rem;
        }
    }
}

@media (min-width: 768px) {
    
    html {
        font-size: 16px; /* 12px */ 
    }

    .sidebar {
        max-width: unset;
        min-height: unset;
        translate: 0%;
        /*max-width: auto;
        min-width: 100%;*/
        width: 100%;
        height: auto;
        /*min-height: auto;*/
        
        position: sticky;
        top:0px;
        z-index: 100;
        display: flex;
        flex-direction: row;
        justify-content:space-around; /*space-around*/
        align-items: center;
       
        background-color: rgba(255, 255, 255, 0.57);
        margin: 0 0 0 0;
        
        /**margin-bottom: 0.5rem;*/
        
        
        
        /*transition: translate var(--animation-timing);*/
        
        padding: 0.2rem 0rem;
        
        
        
        
        
        div{
            border-left: 2px solid var(--col-akzent4);
            padding: 0rem;
            color: var(--col-akzent4);
            flex:content;
        }

    
    }
    
    .hamburger-menu{
        display:none;
    }

    h2 a, h3 a{
        display: inline;
        font-size:small;
        text-decoration: none;
        color: inherit;
    
    }
    #logo{
        padding-top: 0;
    }
    #picture {
        padding-top: 0;
    }

    #chefs{
        grid-template-columns: repeat(auto-fill, minmax(40rem, 1fr));
    }

    #leistungen{
      
        grid-template-columns: repeat(auto-fill, minmax(25rem, 1fr));
    
    }

    #heroimage{
        top: calc( -1 * var(--heightSideBar));
        margin-bottom: calc( -1 * var(--heightSideBar));
    }
}

